# Class AssemblyCallbackManagerFactory

#### Hierarchy

- AssemblyCallbackManagerFactory

#### Implements

- CallbackManagerFactoryInterface<undefined>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryImplementation/AssemblyCallbackManager.ts:13

#####
Index

### Constructors

constructor

### Methods

getCallbackManager

## Constructors

### constructor

- new AssemblyCallbackManagerFactory(): AssemblyCallbackManagerFactory

- #### Returns AssemblyCallbackManagerFactory

## Methods

### getCallbackManager

- getCallbackManager(config): CallbackManagerInterface<undefined>

- #### Parameters

  - ##### config: CallbackConfigInterface

  #### Returns CallbackManagerInterface<undefined>

  Implementation of CallbackManagerFactoryInterface.getCallbackManager

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryImplementation/AssemblyCallbackManager.ts:14

Generated using TypeDoc